Nonsense Placement Mandatory

    snoostorm
    TypeScript icon, indicating that this package has built-in type declarations

    1.0.2 • Public • Published

    SnooStorm

    Event-based wrapper around snoowrap

    JUST RELEASED: VERSION 1.0!

    • TypeScript Rewrite
    • More sensible API
    • Better support for InboxStream

    Usage

    Basic Usage:

    import { InboxStream, CommentStream, SubmissionStream } from "./src/main";
    import Snoowrap from "snoowrap";
    
    const creds = require("./credentials.json");
    
    const client = new Snoowrap(creds);
    
    const comments = new CommentStream(client);
    comments.on("item", console.log);
    
    const submissions = new SubmissionStream(client);
    submissions.on("item", console.log);
    
    const inbox = new InboxStream(client);
    inbox.on("item", console.log);
    
    inbox.end();
    inbox.on("end", () => console.log("And now my watch has ended"));

    Install

    npm i snoostorm@1.0.2

    Version

    1.0.2

    License

    MIT

    Unpacked Size

    27.6 kB

    Total Files

    21

    Last publish

    Collaborators

    • mayormonty